#!/usr/bin/env python

class build:
  def __init__(self):
    pass

  def ini(self,config,p2,p3):

    self.ini = open(config['path'] + '/' + config['name'] + '.ini', 'w')
    self.ini.write('# INI file for the ' + config['name'] + ' configuration\n')

    # [EMC] Section
    self.ini.write('[EMC]\n')
    self.ini.write('VERSION = $Revision$\n')
    self.ini.write('MACHINE = ' + config['name'] + '\n')
    self.ini.write('DEBUG = 0\n')
    self.ini.write('\n')

    # [DISPLAY] Section
    self.ini.write('[DISPLAY]\n')
    self.ini.write('DISPLAY = ' + config['gui'] + '\n')
    self.ini.write('POSITION_OFFSET = ' + config['offset'] + '\n')
    self.ini.write('POSITION_FEEDBACK = ' + config['feedback'] + '\n')
    if len(config['max_feed_override'])>0:
      self.ini.write('MAX_FEED_OVERRIDE = ' + config['max_feed_override'] + '\n')
    if len(config['min_spindle_override'])>0:
      self.ini.write('MIN_SPINDLE_OVERRIDE = ' + config['min_spindle_override'] + '\n')
    if len(config['max_spindle_override'])>0:
      self.ini.write('MAX_SPINDLE_OVERRIDE = ' + config['max_spindle_override'] + '\n')
    self.ini.write('PROGRAM_PREFIX = ' + config['linuxcnc'] + 'nc_files\n')
    self.ini.write('INTRO_GRAPHIC = emc2.gif\n')
    self.ini.write('INTRO_TIME = 5\n')
    self.ini.write('CYCLE_TIME = 0.05\n')

    # [FILTER] Section
    self.ini.write('[EMCIO]\n')
    self.ini.write('\n')

    # [RS274NGC] Section
    self.ini.write('[RS274NGC]\n')
    self.ini.write('\n')

    # [EMCMOT] Section
    self.ini.write('[EMCMOT]\n')
    self.ini.write('\n')

    # [TASK] Section
    self.ini.write('[TASK]\n')
    self.ini.write('\n')

    # [HAL] section
    self.ini.write('[HAL]\n')
    self.ini.write('\n')

    # [HALUI] section
    self.ini.write('[HALUI]\n')
    self.ini.write('\n')

    # [TRAJ] Section
    self.ini.write('[TRAJ]\n')
    self.ini.write('\n')

    # [AXIS_<num>] Section
    if config['axis_0']:
      self.ini.write('[AXIS_0]\n')
    self.ini.write('\n')
    if config['axis_1']:
      self.ini.write('[AXIS_1]\n')
    self.ini.write('\n')
    if config['axis_2']:
      self.ini.write('[AXIS_2]\n')
    self.ini.write('\n')
    if config['axis_3']:
      self.ini.write('[AXIS_3]\n')
    self.ini.write('\n')
    if config['axis_4']:
      self.ini.write('[AXIS_4]\n')
    self.ini.write('\n')
    if config['axis_5']:
      self.ini.write('[AXIS_5]\n')
    self.ini.write('\n')
    if config['axis_6']:
      self.ini.write('[AXIS_6]\n')
    self.ini.write('\n')
    if config['axis_7']:
      self.ini.write('[AXIS_7]\n')
    self.ini.write('\n')
    if config['axis_8']:
      self.ini.write('[AXIS_8]\n')
    self.ini.write('\n')

    # [EMCIO] Section
    self.ini.write('[EMCIO]\n')
    self.ini.write('EMCIO = io\n')
    self.ini.write('CYCLE_TIME = 0.100\n')
    self.ini.write('TOOL_TABLE = ' + config['name'] + '.tbl\n')
    self.ini.write('TOOL_CHANGE_POSITION = \n')
    self.ini.write('TOOL_CHANGE_WITH_SPINDLE_ON = ' + config['tool_change_spindle'] + '\n')
    self.ini.write('TOOL_CHANGE_QUILL_UP = ' + config['tool_change_quill'] + '\n')
    self.ini.write('TOOL_CHANGE_AT_G30 = ' + config['tool_change_g30'] + '\n')
    self.ini.write('RANDOM_TOOLCHANGER = ' + config['random_tool_changer'] + '\n')

    self.ini.close()


  def hal(self):
    print 'hal'
